<script setup>
import { ref, onMounted } from 'vue'
import api from '@/api/api';

const runtimeConfig = useRuntimeConfig()

useHead({
  title: `${runtimeConfig.public.pageTitle} صفحه اصلی `
})
const data = ref({})
const sliders = ref([])

onMounted(() => {
  api.get(`initialize-site`).then(res => {
    data.value = res?.data?.data
  })
})
sliders.value = [{ bgColor: 'bg-indigo-darken-1', featured_image: '/img/byAir.png' },
{ bgColor: 'bg-teal-lighten-1', featured_image: '/img/chinaToUAE.png' },
{ bgColor: 'bg-pink-lighten-1', featured_image: '/img/bySea1.png' }
]

</script>

<template>
  <HomeSlider :items="sliders" />
  <HomeOurServices />
  <HomeWhyUs />
  <HomeOtherBrands />
  <HomeCallForPrice />
  <HomeAllBlogs />
</template>